﻿using System.Data.Services;
using System.Data.Services.Common;

namespace WCFDataServiceExample
{
    public class NorthwindService : DataService<NorthwindEntities>
    {
        // This method is called only once to initialize service-wide policies.
        public static void InitializeService(DataServiceConfiguration config)
        {
            // Give readonly access to all of the entities
            config.SetEntitySetAccessRule("*", EntitySetRights.All);

            // Pagesize will change the max number of rows returned
            config.SetEntitySetPageSize("*", 25);

            config.DataServiceBehavior.MaxProtocolVersion = DataServiceProtocolVersion.V2;
        }
    }
}